com.google.cloud.dataflow.sdk.io

## Class Read

- java.lang.Object
- - com.google.cloud.dataflow.sdk.io.Read

    public class Read
    extends Object

A `PTransform` for reading from a `Source`.

Usage example:

     Pipeline p = Pipeline.create();
     p.apply(Read.from(new MySource().withFoo("foo").withBar("bar"))
                 .named("foobar"));

### Nested Class Summary

Nested Classes
`static class` `Read.Bounded<T>` `PTransform` that reads from a `BoundedSource`.
`static class` `Read.Builder` Helper class for building `Read` transforms.
`static class` `Read.Unbounded<T>` `PTransform` that reads from a `UnboundedSource`.

### Constructor Summary

Constructors
Constructor and Description
`Read()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> Read.Bounded<T>` `from(BoundedSource<T> source)` Returns a new `Read.Bounded` `PTransform` reading from the given `BoundedSource`.
`static <T> Read.Unbounded<T>` `from(UnboundedSource<T,?> source)` Returns a new `Read.Unbounded` `PTransform` reading from the given `UnboundedSource`.
`static Read.Builder` `named(String name)` Returns a new `Read` `PTransform` builder with the given name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Read

    public Read()

### Method Detail

#### named

    public static Read.Builder named(String name)

Returns a new `Read` `PTransform` builder with the given name.

#### from

    public static <T> Read.Bounded<T> from(BoundedSource<T> source)

Returns a new `Read.Bounded` `PTransform` reading from the given `BoundedSource`.

#### from

    public static <T> Read.Unbounded<T> from(UnboundedSource<T,?> source)

Returns a new `Read.Unbounded` `PTransform` reading from the given `UnboundedSource`.